### Class

# WPEPlatform BufferDMABufFormats

#### Description [src]

    final class WPEPlatform.BufferDMABufFormats : GObject.Object
    {
      /* No available fields */
    }

List of supported DMA-BUF buffer formats.

#### Ancestors

- GObject

#### Instance methods

###### wpe_buffer_dma_buf_formats_get_device

Get the main DRM device to be used to allocate buffer for `formats`.

###### wpe_buffer_dma_buf_formats_get_format_fourcc

Get the DRM fourcc of `format` in `group` in `formats`.

###### wpe_buffer_dma_buf_formats_get_format_modifiers

Get the list of modifiers of `format` in `group` in `formats`.

###### wpe_buffer_dma_buf_formats_get_group_device

Get the target DRM device of `group` in `formats`.

###### wpe_buffer_dma_buf_formats_get_group_n_formats

No description available.

###### wpe_buffer_dma_buf_formats_get_group_usage

Get the `WPEBufferDMABufFormatUsage` of `group` in `formats`.

###### wpe_buffer_dma_buf_formats_get_n_groups

Get the number of groups in `formats`.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct WPEPlatformBufferDMABufFormatsClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.